# $Revision: 1.21 $, $Date: 2006/05/04 22:27:48 $
%include        /usr/lib/rpm/macros.perl
Summary:	Utility for creating network bootable images
Summary(pl):	Narzdzia umoliwiajce tworzenie startowalnych przez sie obrazw
Summary(pt_BR):	Utilitrio para criao de imagens para inicializao via rede
Name:		mknbi
Version:	1.4.4
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	http://dl.sourceforge.net/etherboot/%{name}-%{version}.tar.gz
# Source0-md5:	5ddafef0a582cfb2b3cd30951662e6e2
Patch0:		%{name}-gcc4.patch
URL:		http://etherboot.sourceforge.net/
BuildRequires:	rpm-perlprov
ExclusiveArch:	%{ix86}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utility that accompanies Etherboot for making tagged images from ROM
images, Linux kernels, FreeDOS and DOS bootable floppy images.

%description -l es
Paquete de soporte para permitir a un PC la inicalizacin con
etherboot.

%description -l pl
Narzdzia korzystajce z obrazw Etherboot do tworzenia startowalnych
obrazw z obrazw ROM, kerneli Linuksa, obrazw FreeDOS oraz DOS.

%description -l pt_BR
Pacote responsvel por modificar imagens para permitir que PCs
inicializem via rede.

%prep
%setup -q
%patch0 -p1

%build
%{__make} \
	CC="%{__cc}" \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	BUILD_ROOT="$RPM_BUILD_ROOT" \
	PREFIX=%{_prefix} \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.html LOG README spec.txt
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/di*
%attr(755,root,root) %{_libdir}/%{name}/mknbi
%attr(755,root,root) %{_libdir}/%{name}/nbitoelf
%{_libdir}/%{name}/*.bin
%{_libdir}/%{name}/*.pm
%{_libdir}/%{name}/first*
%{_libdir}/%{name}/menu
%{_libdir}/%{name}/rm*
%{_libdir}/%{name}/lua
%{_libdir}/%{name}/nfl
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: mknbi.spec,v $
Revision 1.21  2006/05/04 22:27:48  zbyniu
- simple gcc4 patch from FC

Revision 1.20  2005/05/16 17:12:29  zbyniu
- up to 1.4.4; BR: perl-base -> rpm-perlprov

Revision 1.19  2004/06/06 11:56:42  arekm
- 1.4.3

Revision 1.18  2004/05/09 05:35:38  ankry
- BR fixes, rel. 5

Revision 1.17  2003/08/18 08:08:20  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.16  2003/05/28 12:59:45  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:50:37  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/12/02 11:06:22  ankry
- massive cleaning

Revision 1.13  2002/08/26 10:51:09  qboosh
- GPL v2+

Revision 1.12  2002/08/24 10:09:48  kloczek
- License: GPL v2.

Revision 1.11  2002/08/23 05:20:03  marcus
- use new %%doc, typo

Revision 1.10  2002/08/22 23:43:31  marcus
- rel.4.
- it is for ix86 only (asm!)

Revision 1.9  2002/02/23 03:54:20  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:17  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:13:53  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2002/01/05 16:44:42  blues
- release 3
- some stollen translations

Revision 1.5  2002/01/04 09:37:02  qboosh
- typo

Revision 1.4  2001/06/16 19:11:49  kloczek
- release 2.

Revision 1.3  2001/06/04 14:46:47  baggins
- really use rpmcflags

Revision 1.2  2001/05/02 21:33:36  kloczek
- cosmetics.

Revision 1.1  2001/05/02 09:56:21  misiek
initial pld release as separate package
